terraform {
  required_providers {
    aws = {
      source = "hashicorp/aws"
      version = "~> 5.0"
    }
  }
}

provider "aws" {
  region = "eu-west-1"
}

# https://geo.mirror.pkgbuild.com/images/v20250315.322357/Arch-Linux-x86_64-cloudimg.qcow2
# Import using:
# aws ec2 import-image --disk-container "Url=https://geo.mirror.pkgbuild.com/images/v20250315.322357/Arch-Linux-x86_64-cloudimg.qcow2" --tag-specification 'Tags=[{Key="Linux",Value="ArchLinux-nocloud"}]'
data "aws_ami" "archlinux-nocloud" {
  filter {
    name = "tag:Linux"
    values = ["ArchLinux-nocloud"]
  }
}

resource "aws_instance" "test-instance-1" {
  ami = data.aws_ami.archlinux-nocloud.id
  instance_type = "micro"
  availability_zone = "az-1"

  private_ip = "192.168.122.3"

  user_data = file("cloudinit.yaml")

  tags = {
    UseCase = "k8s-control-plane"
  }
}

# resource "aws_instance" "test-instance-2" {
#   ami = "0c4dcaafb6a14dbb93b402f1fd6a9dfb"
#   instance_type = "micro"
#   availability_zone = "az-1"

#   private_ip = "192.168.122.4"

#   tags = {
#     UseCase = "k8s-control-plane"
#   }
# }


# resource "aws_instance" "test-instance-3" {
#   ami = "0c4dcaafb6a14dbb93b402f1fd6a9dfb"
#   instance_type = "micro"
#   availability_zone = "az-1"

#   private_ip = "192.168.122.5"

#   tags = {
#     UseCase = "k8s-control-plane"
#   }
# }
