from pydantic_xml import BaseXmlModel, wrapped, element

from openec2.api.shared import Tag


class Image(BaseXmlModel):
    imageId: str = element()

    imageState: str = element()

    name: str = element()

    tagSet: list[Tag] = wrapped("tagSet", element(tag="item"))


class DescribeImagesResponse(
    BaseXmlModel,
    tag="DescribeImagesResponse",
    nsmap={"": "http://ec2.amazonaws.com/doc/2016-11-15/"},
):
    requestId: str = element()

    imagesSet: list[Image] = wrapped("imagesSet", element(tag="item"))
