from pydantic_xml import BaseXmlModel, element


class InstanceInitiatedShutdownBehaviour(BaseXmlModel):
    value: str = element()

class DisableApiTermination(BaseXmlModel):
    value: str = element()

class DisableApiStop(BaseXmlModel):
    value: str = element()

class DescribeInstanceAttributeResponse(
    BaseXmlModel,
    tag="DescribeInstanceAttributeResponse",
    nsmap={"": "http://ec2.amazonaws.com/doc/2016-11-15/"},
):
    requestId: str = element()

    instanceId: str = element()

    instanceInitiatedShutdownBehaviour: InstanceInitiatedShutdownBehaviour | None = element(defaut=None)

    disableApiTermination: DisableApiTermination | None = element(default=None)

    disableApiStop: DisableApiStop | None = element(default=None)
