from pydantic_xml import BaseXmlModel, element, wrapped


class InstanceTypeInfo(BaseXmlModel, tag="item"):
    instanceType: str = element()

class DescribeInstanceTypesResponse(
    BaseXmlModel,
    nsmap={"": "http://ec2.amazonaws.com/doc/2016-11-15/"},
):
    requestId: str = element()

    instanceTypeSet: list[InstanceTypeInfo] = wrapped(
        "instanceTypeSet",
        element(tag="item"),
    )

    nextToken: str | None = element()
