from pydantic_xml import BaseXmlModel, wrapped, element


class TagDescription(BaseXmlModel):
    key: str | None = element(default=None)

    resourceId: str | None = element(default=None)

    resourceType: str | None = element(default=None)

    value: str | None = element(default=None)


class DescribeTagsResponse(
    BaseXmlModel,
    nsmap={"": "http://ec2.amazonaws.com/doc/2016-11-15/"}
):
    requestId: str = element()

    nextToken: str | None = element()

    tagSet: list[TagDescription] = wrapped("tagSet", element(tag="item"))
