from pydantic_xml import BaseXmlModel, element


class Volume(BaseXmlModel):
    volumeId: str = element()
    multiAttachEnabled: bool = element()


class VolumeSet(BaseXmlModel):
    item: list[Volume] = element(tag="item")


class DescribeVolumesResponse(
    BaseXmlModel,
    tag="DescribeVolumesResponse",
    nsmap={"": "http://ec2.amazonaws.com/doc/2016-11-15/"},
):
    requestId: str = element()

    volumeSet: VolumeSet = element()
