from pydantic_xml import BaseXmlModel, element


class GetCallerIdentityResult(BaseXmlModel):
    arn: str = element(tag="Arn")
    user_id: str = element(tag="UserId")
    account: str = element(tag="Account")

class ResponseMetadata(BaseXmlModel):
   request_id: str = element(tag="RequestId")

class GetCallerIdentityResponse(
    BaseXmlModel,
    nsmap={"": "https://sts.amazonaws.com/doc/2011-06-15/"}
):
    result: GetCallerIdentityResult = element(tag="GetCallerIdentityResult")

    metadata: ResponseMetadata = element()
